View Issue Details

IDProjectCategoryView StatusLast Update
0003075OpenFOAMFeaturepublic2018-11-09 14:49
ReporterDanielJAssigned Tohenry 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Fixed in Versiondev 
Summary0003075: totalFlowRateAdvectiveDiffusive requires LES turbulence model
DescriptionThe totalFlowRateAdvectiveDiffusive boundary condition is hard coded to use only LES turbulence model.
Modifying the boundary condition to use a generic turbulence model would be beneficial for many applications.
TagsNo tags attached.

Activities

henry

2018-09-24 09:55

manager   ~0010066

Yes this functionality could be added and would be covered by the silver and gold maintenance plans:

https://openfoam.org/maintenance/

Are you currently sponsoring OpenFOAM development and maintenance?

DanielJ

2018-09-24 11:42

reporter   ~0010070

We are currently not sponsoring OpenFOAM development but we can implement this functionality and provide it as code contribution.

Esteban1107

2018-11-01 02:22

reporter   ~0010127

There's any chance to get support or aid in the implementation of this boundary condition with a RAS model? Currently (as a student) I do not have the resources for acquiring a maintenance plan but I could try to manage the purchase of one through my University in the near future.

DanielJ

2018-11-08 10:12

reporter   ~0010169

Here is a quick fix to support all compressible turbulence models.

It would be nice make this BC work with scalarTransport, but it uses its own approach to diffusivity.

totalFlowRateAdvectiveDiffusive.patch (1,655 bytes)
From 51eede0d59e317d8a2fafd228e0d8dab86b9e9d5 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Jasi=C5=84ski?= <daniel.jasinski@gmail.com>
Date: Thu, 8 Nov 2018 11:06:24 +0100
Subject: [PATCH] totalFlowRateAdvectiveDiffusive: Support all compressible
 turbulence models.

---
 .../totalFlowRateAdvectiveDiffusiveFvPatchScalarField.C            | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

diff --git a/src/TurbulenceModels/compressible/turbulentFluidThermoModels/derivedFvPatchFields/totalFlowRateAdvectiveDiffusive/totalFlowRateAdvectiveDiffusiveFvPatchScalarField.C b/src/TurbulenceModels/compressible/turbulentFluidThermoModels/derivedFvPatchFields/totalFlowRateAdvectiveDiffusive/totalFlowRateAdvectiveDiffusiveFvPatchScalarField.C
index 8c30090..f857f45 100644
--- a/src/TurbulenceModels/compressible/turbulentFluidThermoModels/derivedFvPatchFields/totalFlowRateAdvectiveDiffusive/totalFlowRateAdvectiveDiffusiveFvPatchScalarField.C
+++ b/src/TurbulenceModels/compressible/turbulentFluidThermoModels/derivedFvPatchFields/totalFlowRateAdvectiveDiffusive/totalFlowRateAdvectiveDiffusiveFvPatchScalarField.C
@@ -154,11 +154,8 @@ void Foam::totalFlowRateAdvectiveDiffusiveFvPatchScalarField::updateCoeffs()
 
     const label patchi = patch().index();
 
-    const LESModel<EddyDiffusivity<compressible::turbulenceModel>>& turbModel =
-        db().lookupObject
-        <
-            LESModel<EddyDiffusivity<compressible::turbulenceModel>>
-        >
+    const compressible::turbulenceModel& turbModel =
+        db().lookupObject<compressible::turbulenceModel>
         (
             IOobject::groupName
             (
-- 
2.7.4

henry

2018-11-09 14:49

manager   ~0010171

Resolved by commit ecaa6fb9662476389238f9b6e74d796484a094fa

Issue History

Date Modified Username Field Change
2018-09-24 09:42 DanielJ New Issue
2018-09-24 09:55 henry Note Added: 0010066
2018-09-24 11:42 DanielJ Note Added: 0010070
2018-11-01 02:22 Esteban1107 Note Added: 0010127
2018-11-08 10:12 DanielJ File Added: totalFlowRateAdvectiveDiffusive.patch
2018-11-08 10:12 DanielJ Note Added: 0010169
2018-11-09 14:49 henry Assigned To => henry
2018-11-09 14:49 henry Status new => resolved
2018-11-09 14:49 henry Resolution open => fixed
2018-11-09 14:49 henry Fixed in Version => dev
2018-11-09 14:49 henry Note Added: 0010171